Summary:	A text-based modem control and terminal emulation program
Name:		minicom
Version:	2.3
Release:	%mkrel 7
License:	GPL
Group:		Communications
URL:		http://alioth.debian.org/projects/minicom/
Source:		http://alioth.debian.org/frs/download.php/1806/minicom-%{version}.tar.gz
Patch1:		minicom-2.3-ncurses.patch
Patch2:		minicom-2.3-drop-privs.patch
Patch3:		minicom-2.3-wchar.patch
Patch4:		minicom-2.2-umask.patch
Patch6:		minicom-2.2-spaces.patch
Patch7:		minicom-2.3-gotodir.patch
Patch8:		minicom-2.3-rh.patch
Patch9:		minicom-2.2-esc.patch
Patch10:	minicom-2.2-staticbuf.patch
Patch11:	minicom-2.3-format_not_a_string_literal_and_no_format_arguments.diff
Patch12:	minicom-2.3-getline_rename_fix.diff
Requires:	lrzsz
Requires:	setserial
Requires:	lockdev-baudboy
BuildRequires:	ncurses-devel
BuildConflicts:	libtermcap-devel
BuildRequires:	liblockdev-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Minicom is a simple text-based modem control and terminal emulation program
somewhat similar to MSDOS Telix. Minicom includes a dialing directory, full
ANSI and VT100 emulation, an (external) scripting language, and other features.

Minicom should be installed if you need a simple modem control program or
terminal emulator.

Run 'minicom -s' as root to create a system wide configuration. Users need
read/write permissions on the serial port devices in order to use minicom.

%prep

%setup -q
%patch1 -p1 -b .ncurses
%patch2 -p1 -b .privs
%patch3 -p1 -b .wchar
%patch4 -p1 -b .umask
%patch6 -p1 -b .spaces
%patch7 -p0 -b .gotodir
%patch8 -p1 -b .rh
%patch9 -p0 -b .esc
#%patch10 -p1 -b .staticbuf
%patch11 -p1 -b .format_not_a_string_literal_and_no_format_arguments
%patch12 -p0 -b .getline_rename_fix

# minicom used wrong variable to check intl inside glibc
perl -pi -e 's/gt_cv_func_gettext_libc/gt_cv_func_gnugettext1_libc/' configure

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m 644 doc/minicom.users %{buildroot}%{_sysconfdir}/minicom.users

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc doc
%config(noreplace) %{_sysconfdir}/minicom.users
%attr(755,root,dialout) %{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/*/*


%changelog
* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3-7mdv2010.0
+ Revision: 453434
- added P12 to fix build (gentoo)

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3-6mdv2009.1
+ Revision: 337201
- keep bash completion in its own package

* Fri Jan 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2.3-5mdv2009.1
+ Revision: 327559
- minicom is now setgid dialout and not uucp

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-4mdv2009.1
+ Revision: 317108
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P11)

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-3mdv2009.0
+ Revision: 223263
- rebuild

* Mon Mar 03 2008 Olivier Blin <oblin@mandriva.com> 2.3-2mdv2008.1
+ Revision: 177827
- use lockdev to allow users to create lock files (#16739)

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 2.3-1mdv2008.1
+ Revision: 177629
- buildconflicts with termcap-devel instead of buildrequiring it
  (or else it get preferred over ncurses)
- 2.3
- sync with RH patches

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2-2mdv2008.1
+ Revision: 153090
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2-1mdv2008.0
+ Revision: 14790
- 2.2
- sync patches with fedora


* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 17:13:12 (101546)
- add BuildRequires: libtermcap-devel

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 17:07:58 (101545)
Import minicom

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.1-6mdv2007.0
- Rebuild

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-5mdv2007.0
- %%mkrel
- bash completion
- fix build

* Tue May 02 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1-4mdk
- rebuild for sparc

* Mon Jan 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-3mdk 
- Add requires on setserial package

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 2.1-2mdk
- Drop antique po files
- Fix gettext check, minicom doesn't need to link with -lintl

